Bug 108116 - [vulkancts] stencil partial clear tests fail.
Summary: [vulkancts] stencil partial clear tests fail.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 20:38 UTC by Bas Nieuwenhuizen
Modified: 2018-12-17 15:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
deqp list (770 bytes, text/plain)
2018-12-05 18:03 UTC, Samuel Pitoiset
Details
deqp list v2 (396 bytes, text/plain)
2018-12-05 18:08 UTC, Samuel Pitoiset
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bas Nieuwenhuizen 2018-10-01 20:38:34 UTC
Fails on Vega with VK-GL-CTS 57d5e6cdd5365b92a3959e11ee4c7ab889e48cd0:

dEQP-VK.api.image_clearing.core.partial_clear_depth_stencil_attachment.multiple_layers.s8_uint,Fail
dEQP-VK.api.image_clearing.core.partial_clear_depth_stencil_attachment.single_layer.s8_uint,Fail
dEQP-VK.api.image_clearing.dedicated_allocation.partial_clear_depth_stencil_attachment.single_layer.s8_uint,Fail
Comment 1 Samuel Pitoiset 2018-12-05 18:03:55 UTC
Created attachment 142733 [details]
deqp list

$ ./deqp-vk --deqp-caselist-file=/home/hakzsam/programming/cts_runner/pass_or_fail
Writing test log into TestResults.qpa
dEQP Core git-f29af633426235c155b7a33c2f2cf18a51d1ac1b (0xf29af633) starting..
  target implementation = 'Default'

Test case 'dEQP-VK.api.image_clearing.core.clear_depth_stencil_image.multiple_layers.s8_uint'..
  Pass (cmdClearDepthStencilImage passed)

Test case 'dEQP-VK.api.image_clearing.core.clear_depth_stencil_image.remaining_array_layers.s8_uint'..
  Pass (cmdClearDepthStencilImage passed)

Test case 'dEQP-VK.api.image_clearing.core.clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Pass (cmdClearAttachments passed)

Test case 'dEQP-VK.api.image_clearing.core.partial_clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Fail (Stencil value mismatch! Ref:3 Threshold:0 Stencil:6)

Test case 'dEQP-VK.api.image_clearing.dedicated_allocation.clear_depth_stencil_image.multiple_layers.s8_uint'..
  Pass (cmdClearDepthStencilImage passed)

Test case 'dEQP-VK.api.image_clearing.dedicated_allocation.clear_depth_stencil_image.remaining_array_layers.s8_uint'..
  Pass (cmdClearDepthStencilImage passed)

Test case 'dEQP-VK.api.image_clearing.dedicated_allocation.clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Pass (cmdClearAttachments passed)

Test case 'dEQP-VK.api.image_clearing.dedicated_allocation.partial_clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Fail (Stencil value mismatch! Ref:3 Threshold:0 Stencil:6)

DONE!

Test run totals:
  Passed:        6/8 (75.0%)
  Failed:        2/8 (25.0%)
  Not supported: 0/8 (0.0%)
  Warnings:      0/8 (0.0%)
Comment 2 Samuel Pitoiset 2018-12-05 18:08:56 UTC
Created attachment 142734 [details]
deqp list v2

$ export RADV_DEBUG=nohiz,nodcc,nofastclears,zerovram
$ ./deqp-vk --deqp-caselist-file=/home/hakzsam/programming/cts_runner/pass_or_fail
Writing test log into TestResults.qpa
dEQP Core git-f29af633426235c155b7a33c2f2cf18a51d1ac1b (0xf29af633) starting..
  target implementation = 'Default'

Test case 'dEQP-VK.api.image_clearing.core.clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Pass (cmdClearAttachments passed)

Test case 'dEQP-VK.api.image_clearing.core.partial_clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Fail (Stencil value mismatch! Ref:3 Threshold:0 Stencil:6)

Test case 'dEQP-VK.api.image_clearing.dedicated_allocation.clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Pass (cmdClearAttachments passed)

Test case 'dEQP-VK.api.image_clearing.dedicated_allocation.partial_clear_depth_stencil_attachment.multiple_layers.s8_uint'..
  Fail (Stencil value mismatch! Ref:3 Threshold:0 Stencil:6)

I wonder if some states are not reinitialized correctly.
Comment 3 Rhys Perry 2018-12-17 15:10:13 UTC
Fixed-by:

commit bba94a3d85c8799b2441a5d41015091e8903738f
Author: Rhys Perry <pendingchaos02@gmail.com>
Date:   Fri Dec 14 16:47:09 2018 +0000

    radv: don't set surf_index for stencil-only images
    
    Fixes: f8d5b377c8b ('radv: set cb base tile swizzles for MRT speedups (v4)')
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108116
    Signed-off-by: Rhys Perry <pendingchaos02@gmail.com>
    Reviewed-by: Bas Nieuwenhuizen <bas@basnieuwenhuizen.nl>
    Reviewed-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.